import React from 'react'
import { connect } from 'react-redux'
import Sensor from './Sensor';
import mqtt from 'mqtt'
import {
  Route, NavLink
} from 'react-router-dom';
import { Button } from 'react-bootstrap';

let NavBar = (props) => {

  let NavList = props.listCapteurs.map((capteurs) =>
          <li key={capteurs} className='OK'><NavLink to={capteurs} style={{display: 'block', height: '100%'}} activeClassName="active"><Button>{capteurs}</Button></NavLink></li>
      );

  return (
    <nav><ul role="nav">
      <li><NavLink to="/home" style={{display: 'block', height: '100%'}}><Button>Home</Button></NavLink></li>
      <hr />
      <div id="dynamiqueNav">
        <h3>Navigation</h3>
        <ul>
           { NavList }
        </ul>
        <hr />
      </div>
  </ul></nav>
  )
};

NavBar = connect(
  function mapStateToProps(state){
    return{listCapteurs: state.listCapteurs}
  },
  (dispatch) => ({submit: (action) => dispatch(action)})
)(NavBar);

export default NavBar
