import React from 'react'
import logo from './logo.svg'
import './App.css'
import {
  Route, BrowserRouter as Router, NavLink
} from 'react-router-dom';
import Form from '../containers/Form'
import Content from '../containers/Content'
import NavBar from './NavBar'

const App = ({ match: { params } }) => {

    return (
      <Router>
      <div className="App">

            <header className="App-header"><img src={logo} className="App-logo" alt="logo" /><h1 className="App-title">URL du Brocker : </h1>
              <Form />
            </header>
            <div className="wrapper">
              <NavBar />
              <Route exact path="/" component={Content}/>
              <Route path="/:capteurSelected" component={Content} />

            </div>

            <footer>Projet réalisé par Julien SAUTEREAU - Master 2 iWOCS</footer>
            </div>
          </Router>
          );
}

export default App
