import update from 'react-addons-update';

const sensor = (state = [], action) => {
  switch (action.type) {
    case 'ADD_SENSOR_OBJECT':
      return [ ...state, action.capteurs
      ];
    case 'UPDATE_SENSOR':
        return update(state, {
          [action.identifiant]: {
              $set: action.sensor
          }
        });
    default:
      return state;
  }
}

export default sensor
